Recommendations for the installation of the Reader on the Windows device

1. Reader supports all the popular operating systems currently in use:

  • iOS 8 or later

  • Windows 7, 8.1, 10

  • Mac OS 10.8 or later

  • Android 4.4.4 or later

Please check to make sure if your device is running one of them.


2. Proper installation and operations require that the device have all of the recent updates released by the operating system developer installed. Check to make sure that all such updates have been installed.


We recommend reading these articles provided by Microsoft:

How to keep your Windows computer up-to-date

Description of the Automatic Updates feature in Windows

Windows Update: FAQ


We cannot guarantee the proper functioning of the Reader if you are using an unlicensed version of the operating system since it may not be eligible for required OS updates.


3. You should have .NET Framework v. 4.5 or later. Please use Microsoft Web Installer via the link: https://www.microsoft.com/en-US/download/details.aspx?id=48130 to automatically determine and download only the applicable components.


Best regards, 

Nina Aleksandrova
Aggregion team



Login or Signup to post a comment